cancel
Showing results for 
Search instead for 
Did you mean: 

EDB*PLus and Oracle Package

Adventurer

EDB*PLus and Oracle Package

Hi,

 

I started to use my oracle packages in EDB*Plus (9.6), but I encountered some problems also with simple packages. If I try to create a package I get always the message:

   ERROR near line 1;

   This ResultSet is closed

but the package is created and it is also VALID. I tried with the following package:

   create or replace package xxx

   as

      procedure dummy;

   end xxx;

   /

 

In Oracle it is possible to get more information with "show error" or using the USER_ERRORS view: there is another way in EDB*Plus ?

 

Thanks

4 REPLIES
EDB Team Member

Re: EDB*PLus and Oracle Package


supernike wrote:

Hi,

 

I started to use my oracle packages in EDB*Plus (9.6), but I encountered some problems also with simple packages. If I try to create a package I get always the message:

   ERROR near line 1;

   This ResultSet is closed

but the package is created and it is also VALID. I tried with the following package:

   create or replace package xxx

   as

      procedure dummy;

   end xxx;

   /

 

In Oracle it is possible to get more information with "show error" or using the USER_ERRORS view: there is another way in EDB*Plus ?

 

Thanks


I could able to create the package sample in the same version of EDB Postgres 9.6

 

-bash-4.2$ /opt/edb/as9.6/edbplus/edbplus.sh enterprisedb/edb@localhost:5445/edb
Connected to EnterpriseDB 9.6.1.4 (localhost:5445/edb) AS enterprisedb
EDB*Plus: Release 9.6 (Build 35.0.0)
Copyright (c) 2008-2016, EnterpriseDB Corporation.  All rights reserved.
SQL>    create or replace package xxx
  2     as
  3        procedure dummy;
  4     end xxx;
  5  /
Package created.

Regarding "show errors"/"user_errors view" functionality in EDB Postgres, if any object definition has an error EDB Postgres/PostgreSQL will throw directly on to the terminal on the first occurrence like this

SQL>    create or replace package xxx
  2     as
  3        procedure dummy;
  4        procedure dumm
  5  end;
  6  /
ERROR near line 1:
syntax error at or near "end"
  Position: 84

In the current version, all the errors are thrown on to the terminal and it is nowhere stored in EDB Postgres/PostgreSQL catalogues. 

If you are still facing any errors please share more details to look into it. 

 

 

Adventurer

Re: EDB*PLus and Oracle Package

I get the error with Build 35.0.1 (see picture) and EDB 9.6.3.8edbplus.jpg

EDB Team Member

Re: EDB*PLus and Oracle Package


supernike wrote:

I get the error with Build 35.0.1 (see picture) and EDB 9.6.3.8edbplus.jpg


It works for me with build 35.0.1(EPAS 9.6.4.9). 

edbplus.png

 

I suspect with the jar file and java version that causing "ResultSet is closed" exception. Can you please share the following details for further investigation?

java -version (from the same terminal where edbplus.sh called)

 

Also, you are behind few minor versions, if possible please upgrade. 

 

--Raghav

Highlighted
Adventurer

Re: EDB*PLus and Oracle Package

 

JavaVers.jpg